//
//  StateViewController.swift
//  StatefulViewControllerDemo
//
//  Created by York on 2019/4/17.
//  Copyright © 2019 YK-Unit. All rights reserved.
//

import UIKit
import SnapKit

class StateViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        self.view.backgroundColor = UIColor.white

        let stateView = StateView()
        self.view.addSubview(stateView)
        stateView.snp.makeConstraints { (maker) in
            maker.edges.equalToSuperview()
        }

        stateView.startLoading()
        DispatchQueue.main.asyncAfter(deadline: DispatchTime.now() + 3.0) {
            stateView.endLoading()
        }
    }

    deinit {
        print("StateViewController deinit ...")
    }
}
